version: '3.8'

services:
  db:
    build:
      context: ./docker/database
    container_name: mateteas_dbvalentin
    environment:
      MYSQL_ROOT_PASSWORD: AccessPlusC0mplique
      MYSQL_DATABASE: as
      MYSQL_USER: open
      MYSQL_PASSWORD: AccessPlusC0mplique
    restart: always
    ports:
      - "33061:3306"
    # volumes:
      # - ./docker/database/as.sql:/docker-entrypoint-initdb.d/init.sql
      # - ./database/data:/var/lib/mysql #plus de bdd persistente
    networks:
    - symfony

  web:
    build:
      context: ./docker/apache
    container_name: mateteas_webvalentin
    depends_on:
      - db
    volumes:
      - .:/var/www/html/matetesymfony/
    ports:
      - 8800:8000
    networks:
      - symfony

  phpmyadmin:
    depends_on:
     - db
    image: phpmyadmin/phpmyadmin
    container_name: mateteas_phpvalentin
    links:
      - db
    restart: always
    ports:
     - 8889:80
    environment:
      PMA_HOST: mateteas_dbvalentin
      MYSQL_ROOT_PASSWORD: AccessPlusC0mplique
    networks:
      - symfony

networks:
 symfony: